Bug 1627837 - spellchecker.dictionary_path is missing, Firefox can't find a dictionary
Summary: spellchecker.dictionary_path is missing, Firefox can't find a dictionary
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-11 16:22 UTC by Robert Marcano
Modified: 2018-10-02 15:03 UTC (History)
17 users (show)

Fixed In Version: firefox-62.0-3.fc28 firefox-62.0-3.fc29 firefox-62.0.2-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-20 14:09:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert Marcano 2018-09-11 16:22:41 UTC
Description of problem:

Previous Firefox releases linked with system hunspell library, this had the advantage of using the system installed dictionaries. Now the only dictionary available is US English, no matter what locale the user is running  

Version-Release number of selected component (if applicable):

firefox-62.0-2.fc28.x86_64

How reproducible:

Always

Steps to Reproduce:
2. Install hunspell packages for Spanish (or any other non US language)
2. Run Firefox on a non US locale, for example 

  export LANG=es_VE.UTF-8
  firefox

3. Check the dictionaries available for spelling.

Actual results:

The only dictionary available is US English even when the UI is shown in Spanish.

Expected results:

When Firefox was built with system hunspell, all installed dictionaries were always available, with any UI language being shown.

Additional info:

Commit 688bd9b12e42b7982a1443516d8c5a1aa423b50e [1] removed the support for building with system hunspell, don't know if this a technical readon or a mistake, but it downgrades the user experience for multi language users. Recently released Thunderbird 60 stil have the old behavior, the system hunspell dictionaries are used.

[1] https://src.fedoraproject.org/cgit/rpms/firefox.git/commit/?h=f28&id=688bd9b12e42b7982a1443516d8c5a1aa423b50e

Comment 1 Martin Stransky 2018-09-11 16:38:09 UTC
Ondrej, can you please check if the dictionaries work for you and if we can enable the system hunspell? Thanks.

Comment 2 Peter Oliver 2018-09-16 13:48:04 UTC
With firefox-62.0-2.fc27.x86_64, I find that I am once again able to use the system dictionaries if I set preference spellchecker.dictionary_path = "/usr/share/myspell".

Comment 3 Martin Stransky 2018-09-17 06:31:37 UTC
(In reply to Peter Oliver from comment #2)
> With firefox-62.0-2.fc27.x86_64, I find that I am once again able to use the
> system dictionaries if I set preference spellchecker.dictionary_path =
> "/usr/share/myspell".

Thanks a lot, that may be the actual issue here.

Comment 4 Martin Stransky 2018-09-17 09:12:19 UTC
Added to firefox-62.0-3.

Comment 5 Thorsten Leemhuis 2018-09-17 11:29:22 UTC
Ran into the same problem but firefox-62.0-2.fc29 (got it straight from koji) fixes it. thx!

Comment 6 Fedora Update System 2018-09-17 19:54:52 UTC
firefox-62.0-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-57c60bd015

Comment 7 Fedora Update System 2018-09-17 19:55:01 UTC
firefox-62.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d8ecc9ff25

Comment 8 Fedora Update System 2018-09-17 19:55:09 UTC
firefox-62.0-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-07054ad6d9

Comment 9 Fedora Update System 2018-09-18 06:17:20 UTC
firefox-62.0-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-57c60bd015

Comment 10 Fedora Update System 2018-09-18 07:01:24 UTC
firefox-62.0-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-07054ad6d9

Comment 11 Fedora Update System 2018-09-18 09:06:28 UTC
firefox-62.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d8ecc9ff25

Comment 12 Fedora Update System 2018-09-20 14:09:32 UTC
firefox-62.0-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-09-22 18:04:51 UTC
firefox-62.0-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-09-26 12:10:38 UTC
firefox-62.0.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5f88837c1b

Comment 15 Fedora Update System 2018-09-27 17:09:51 UTC
firefox-62.0.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5f88837c1b

Comment 16 Fedora Update System 2018-10-02 15:03:10 UTC
firefox-62.0.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.